<div class="mb-4">
  <?php
    $category_slug = 'all_categories';
    $position = 'featured';
    $quantity = 5;
    $page_number = 1;
    $json_data = fc_json_data_news_category($category_slug,$position,$quantity,$page_number);
    if(isset($json_data[0]['id'])) {
      include 'layouts/assemble/featured_layout.php';
    }
  ?>
</div>

<div class="container mb-4">
  <?php include 'layouts/ads/center_ad.php'; ?>
</div>

<div class="mb-4">
  <?php include 'layouts/assemble/columns_layout.php'; ?>
</div>

<div id="home_page" class="container mb-4 p-2">
  <div class="row">
    <div id="list_posts" class="col-lg-8">
      <div id="popular_articles">
        <?php
          $category_slug = 'news';
          $position = 'home';
          $quantity = 10;
          $page_number = 1;
          $json_data = fc_json_data_news_category($category_slug,$position,$quantity,$page_number);

          if(isset($json_data[0]['id'])) {
            echo '<h5 class="fw-bold">New <span class="theme_font_color">Articles</span></h5>';
            echo '<HR class="text-secondary mb-4">';

            for ($number=0; $number < $json_data[0]['quantity_found']; $number++) {
              if(isset($json_data[$number]['id'])) {
                include 'layouts/assemble/list_post_item.php';
              }
            }
          }
        ?>
      </div> <!-- /#popular_articles -->

      <div class="mb-4 sticky_ad">
        <?php include 'layouts/ads/billboard_ad.php'; ?>
      </div>
    </div> <!-- /#list_posts -->

    <div id="content_sidebar" class="col-lg-4">
      <?php include('layouts/assemble/sidebar_layout.php'); ?>
    </div> <!-- /#content_sidebar -->
  </div> <!-- /.row #home_page -->
</div> <!-- /#home_page -->
