<div id="search_page" class="container-fluid px-0">
  <div class="container mb-4">
    <div class="wrapper mb-4">
      <div class="row">
        <div id="list_posts" class="col-lg-8">

          <h1 class="fw-bold fs-5">
            Search for <span class="theme_font_color"><?php echo $_GET['q']; ?></span>
            <?php if(isset($category_name) && $_GET['search_category'] != 'all_categories'){ echo ' in category <span class="theme_font_color">'.$category_name.'</span>'; } ?>
          </h1>
          <HR class="text-secondary mb-4">

          <div id="list_items mb-4">
            <?php
              if(isset($json_data[0]['id'])) {
                if(isset($json_data[0]['search_message'])) {
                  echo '<div class="bg-light p-3 mb-4 rounded-3">'.$json_data[0]['search_message'].'</div>';
                }
                for ($number=0; $number < $json_data[0]['quantity_found']; $number++) {
                  if(isset($json_data[$number]['id'])) {
                    include 'layouts/assemble/list_post_item.php';
                  }
                }

                if($json_data[0]['page_numbers'] > 1) {

                  $page_numbers = $json_data[0]['page_numbers'];
                  if($page_number > 0) { $current_page_number = $page_number; } else { $current_page_number = 1; }

                  echo '<div id="pagination" class="my-5">';

                      if($current_page_number >= 2 && $current_page_number <= $page_numbers) {
                        $previous_page_number = $current_page_number -1;
                        echo '<a class="btn btn-lg btn-outline-dark" href="'.$base_url.'/search?q='.$search_query.'&search_category='.$search_category.'&page_number='.$previous_page_number.'">Previous</a>';
                      } else {
                        echo '<a class="btn btn-lg btn-outline-secondary disabled">Previous</a>';
                      }

                      if($current_page_number >= 1 && $current_page_number < $page_numbers) {
                        $next_page_number = $current_page_number + 1;
                        echo '<a class="btn btn-lg btn-outline-dark mx-2" href="'.$base_url.'/search?q='.$search_query.'&search_category='.$search_category.'&page_number='.$next_page_number.'">Next</a>';
                      } else {
                        echo '<a class="btn btn-lg btn-outline-secondary mx-2 disabled">Next</a>';
                      }

                  echo '</div> <!-- /#pagination -->';
                }

              } else {
                echo '<div class="bg-light p-3 mb-4 rounded-3">No post found.</div>';
              }
            ?>
          </div> <!-- /#list_items -->

          <div class="mb-4">
            <?php include 'layouts/ads/billboard_ad.php'; ?>
          </div>

        </div> <!-- /#list_posts -->

        <div id="content_sidebar" class="col-lg-4">
          <?php include 'layouts/assemble/sidebar_layout.php'; ?>
        </div> <!-- /#content_sidebar -->

      </div> <!-- /.row #search_page -->
    </div> <!-- /.wrapper -->

  </div> <!-- /.container #search_page -->
</div> <!-- /#search_page -->
